# GraphQLVariableType | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Type alias GraphQLVariableType

GraphQLVariableType: {
[iterator]: (() => StringIterator<string>);
anchor: ((name) => string);
at: ((index) => undefined | string);
big: (() => string);
blink: (() => string);
bold: (() => string);
charAt: ((pos) => string);
charCodeAt: ((index) => number);
codePointAt: ((pos) => undefined | number);
concat: ((...strings) => string);
endsWith: ((searchString, endPosition?) => boolean);
fixed: (() => string);
fontcolor: ((color) => string);
fontsize: {
(size): string;
(size): string;
};
includes: ((searchString, position?) => boolean);
indexOf: ((searchString, position?) => number);
isWellFormed: (() => boolean);
italics: (() => string);
lastIndexOf: ((searchString, position?) => number);
length: number;
link: ((url) => string);
localeCompare: {
(that): number;
(that, locales?, options?): number;
(that, locales?, options?): number;
};
match: {
(regexp): null | RegExpMatchArray;
(matcher): null | RegExpMatchArray;
};
matchAll: ((regexp) => RegExpStringIterator<RegExpExecArray>);
normalize: {
(form): string;
(form?): string;
};
padEnd: ((maxLength, fillString?) => string);
padStart: ((maxLength, fillString?) => string);
repeat: ((count) => string);
replace: {
(searchValue, replaceValue): string;
(searchValue, replacer): string;
(searchValue, replaceValue): string;
(searchValue, replacer): string;
};
replaceAll: {
(searchValue, replaceValue): string;
(searchValue, replacer): string;
};
search: {
(regexp): number;
(searcher): number;
};
slice: ((start?, end?) => string);
small: (() => string);
split: {
(separator, limit?): string[];
(splitter, limit?): string[];
};
startsWith: ((searchString, position?) => boolean);
strike: (() => string);
sub: (() => string);
substr: ((from, length?) => string);
substring: ((start, end?) => string);
sup: (() => string);
toLocaleLowerCase: {
(locales?): string;
(locales?): string;
};
toLocaleUpperCase: {
(locales?): string;
(locales?): string;
};
toLowerCase: (() => string);
toString: (() => string);
toUpperCase: (() => string);
toWellFormed: (() => string);
trim: (() => string);
trimEnd: (() => string);
trimLeft: (() => string);
trimRight: (() => string);
trimStart: (() => string);
valueOf: (() => string);
}

#### Type declaration

- ##### [iterator]: (() => StringIterator<string>)

  - - (): StringIterator<string>

    - Iterator

      #### Returns StringIterator<string>

- ##### anchor: ((name) => string)

  - - (name): string

    - Returns an `<a>` HTML anchor element and sets the name attribute to the text value

      #### Parameters

      - name: string

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### at: ((index) => undefined | string)

  - - (index): undefined | string

    - Returns a new String consisting of the single UTF-16 code unit located at the specified index.

      #### Parameters

      - index: number

        The zero-based index of the desired code unit. A negative index will count back from the last item.

      #### Returns undefined | string

- ##### big: (() => string)

  - - (): string

    - Returns a `<big>` HTML element

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### blink: (() => string)

  - - (): string

    - Returns a `<blink>` HTML element

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### bold: (() => string)

  - - (): string

    - Returns a `<b>` HTML element

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### charAt: ((pos) => string)

  - - (pos): string

    - Returns the character at the specified index.

      #### Parameters

      - pos: number

        The zero-based index of the desired character.

      #### Returns string

- ##### charCodeAt: ((index) => number)

  - - (index): number

    - Returns the Unicode value of the character at the specified location.

      #### Parameters

      - index: number

        The zero-based index of the desired character. If there is no character at the specified index, NaN is returned.

      #### Returns number

- ##### codePointAt: ((pos) => undefined | number)

  - - (pos): undefined | number

    - Returns a nonnegative integer Number less than 1114112 (0x110000) that is the code point value of the UTF-16 encoded code point starting at the string element at position pos in the String resulting from converting this object to a String. If there is no element at that position, the result is undefined. If a valid UTF-16 surrogate pair does not begin at pos, the result is the code unit at pos.

      #### Parameters

      - pos: number

      #### Returns undefined | number

- ##### concat: ((...strings) => string)

  - - (...strings): string

    - Returns a string that contains the concatenation of two or more strings.

      #### Parameters

      - `Rest` ...strings: string[]

        The strings to append to the end of the string.

      #### Returns string

- ##### endsWith: ((searchString, endPosition?) => boolean)

  - - (searchString, endPosition?): boolean

    - Returns true if the sequence of elements of searchString converted to a String is the same as the corresponding elements of this object (converted to a String) starting at endPosition – length(this). Otherwise returns false.

      #### Parameters

      - searchString: string
      - `Optional` endPosition: number

      #### Returns boolean

- ##### fixed: (() => string)

  - - (): string

    - Returns a `<tt>` HTML element

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### fontcolor: ((color) => string)

  - - (color): string

    - Returns a `<font>` HTML element and sets the color attribute value

      #### Parameters

      - color: string

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### fontsize: {
  (size): string;
  (size): string;
  }

  - - (size): string

    - Returns a `<font>` HTML element and sets the size attribute value

      #### Parameters

      - size: number

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

    - (size): string

    - Returns a `<font>` HTML element and sets the size attribute value

      #### Parameters

      - size: string

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### includes: ((searchString, position?) => boolean)

  - - (searchString, position?): boolean

    - Returns true if searchString appears as a substring of the result of converting this object to a String, at one or more positions that are greater than or equal to position; otherwise, returns false.

      #### Parameters

      - searchString: string

        search string

      - `Optional` position: number

        If position is undefined, 0 is assumed, so as to search all of the String.

      #### Returns boolean

- ##### indexOf: ((searchString, position?) => number)

  - - (searchString, position?): number

    - Returns the position of the first occurrence of a substring.

      #### Parameters

      - searchString: string

        The substring to search for in the string

      - `Optional` position: number

        The index at which to begin searching the String object. If omitted, search starts at the beginning of the string.

      #### Returns number

- ##### isWellFormed: (() => boolean)

  - - (): boolean

    - Returns true if all leading surrogates and trailing surrogates appear paired and in order.

      #### Returns boolean

- ##### italics: (() => string)

  - - (): string

    - Returns an `<i>` HTML element

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### lastIndexOf: ((searchString, position?) => number)

  - - (searchString, position?): number

    - Returns the last occurrence of a substring in the string.

      #### Parameters

      - searchString: string

        The substring to search for.

      - `Optional` position: number

        The index at which to begin searching. If omitted, the search begins at the end of the string.

      #### Returns number

- ##### length: number

- ##### link: ((url) => string)

  - - (url): string

    - Returns an `<a>` HTML element and sets the href attribute value

      #### Parameters

      - url: string

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### localeCompare: {
  (that): number;
  (that, locales?, options?): number;
  (that, locales?, options?): number;
  }

  - - (that): number

    - Determines whether two strings are equivalent in the current locale.

      #### Parameters

      - that: string

        String to compare to target string

      #### Returns number

    - (that, locales?, options?): number

    - Determines whether two strings are equivalent in the current or specified locale.

      #### Parameters

      - that: string

        String to compare to target string

      - `Optional` locales: string | string[]

        A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used. This parameter must conform to BCP 47 standards; see the Intl.Collator object for details.

      - `Optional` options: CollatorOptions

        An object that contains one or more properties that specify comparison options. see the Intl.Collator object for details.

      #### Returns number

    - (that, locales?, options?): number

    - Determines whether two strings are equivalent in the current or specified locale.

      #### Parameters

      - that: string

        String to compare to target string

      - `Optional` locales: LocalesArgument

        A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used. This parameter must conform to BCP 47 standards; see the Intl.Collator object for details.

      - `Optional` options: CollatorOptions

        An object that contains one or more properties that specify comparison options. see the Intl.Collator object for details.

      #### Returns number

- ##### match: {
  (regexp): null | RegExpMatchArray;
  (matcher): null | RegExpMatchArray;
  }

  - - (regexp): null | RegExpMatchArray

    - Matches a string with a regular expression, and returns an array containing the results of that search.

      #### Parameters

      - regexp: string | RegExp

        A variable name or string literal containing the regular expression pattern and flags.

      #### Returns null | RegExpMatchArray

    - (matcher): null | RegExpMatchArray

    - Matches a string or an object that supports being matched against, and returns an array containing the results of that search, or null if no matches are found.

      #### Parameters

      - matcher: {
        [match](string): null | RegExpMatchArray;
        }

        An object that supports being matched against.

        - ##### [match]:function

          - [match](string): null | RegExpMatchArray

          - #### Parameters

            - string: string

            #### Returns null | RegExpMatchArray

            - Defined in node_modules/.pnpm/typescript@5.6.3/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:241

      #### Returns null | RegExpMatchArray

- ##### matchAll: ((regexp) => RegExpStringIterator<RegExpExecArray>)

  - - (regexp): RegExpStringIterator<RegExpExecArray>

    - Matches a string with a regular expression, and returns an iterable of matches containing the results of that search.

      #### Parameters

      - regexp: RegExp

        A variable name or string literal containing the regular expression pattern and flags.

      #### Returns RegExpStringIterator<RegExpExecArray>

- ##### normalize: {
  (form): string;
  (form?): string;
  }

  - - (form): string

    - Returns the String value result of normalizing the string into the normalization form named by form as specified in Unicode Standard Annex #15, Unicode Normalization Forms.

      #### Parameters

      - form: "NFC" | "NFD" | "NFKC" | "NFKD"

        Applicable values: "NFC", "NFD", "NFKC", or "NFKD", If not specified default is "NFC"

      #### Returns string

    - (form?): string

    - Returns the String value result of normalizing the string into the normalization form named by form as specified in Unicode Standard Annex #15, Unicode Normalization Forms.

      #### Parameters

      - `Optional` form: string

        Applicable values: "NFC", "NFD", "NFKC", or "NFKD", If not specified default is "NFC"

      #### Returns string

- ##### padEnd: ((maxLength, fillString?) => string)

  - - (maxLength, fillString?): string

    - Pads the current string with a given string (possibly repeated) so that the resulting string reaches a given length. The padding is applied from the end (right) of the current string.

      #### Parameters

      - maxLength: number

        The length of the resulting string once the current string has been padded. If this parameter is smaller than the current string's length, the current string will be returned as it is.

      - `Optional` fillString: string

        The string to pad the current string with. If this string is too long, it will be truncated and the left-most part will be applied. The default value for this parameter is " " (U+0020).

      #### Returns string

- ##### padStart: ((maxLength, fillString?) => string)

  - - (maxLength, fillString?): string

    - Pads the current string with a given string (possibly repeated) so that the resulting string reaches a given length. The padding is applied from the start (left) of the current string.

      #### Parameters

      - maxLength: number

        The length of the resulting string once the current string has been padded. If this parameter is smaller than the current string's length, the current string will be returned as it is.

      - `Optional` fillString: string

        The string to pad the current string with. If this string is too long, it will be truncated and the left-most part will be applied. The default value for this parameter is " " (U+0020).

      #### Returns string

- ##### repeat: ((count) => string)

  - - (count): string

    - Returns a String value that is made from count copies appended together. If count is 0, the empty string is returned.

      #### Parameters

      - count: number

        number of copies to append

      #### Returns string

- ##### replace: {
  (searchValue, replaceValue): string;
  (searchValue, replacer): string;
  (searchValue, replaceValue): string;
  (searchValue, replacer): string;
  }

  - - (searchValue, replaceValue): string

    - Replaces text in a string, using a regular expression or search string.

      #### Parameters

      - searchValue: string | RegExp

        A string or regular expression to search for.

      - replaceValue: string

        A string containing the text to replace. When the searchValue is a `RegExp`, all matches are replaced if the `g` flag is set (or only those matches at the beginning, if the `y` flag is also present). Otherwise, only the first match of searchValue is replaced.

      #### Returns string

    - (searchValue, replacer): string

    - Replaces text in a string, using a regular expression or search string.

      #### Parameters

      - searchValue: string | RegExp

        A string to search for.

      - replacer: ((substring, ...args) => string)

        A function that returns the replacement text.

        - - (substring, ...args): string

          - #### Parameters

            - substring: string
            - `Rest` ...args: any[]

            #### Returns string

    - (searchValue, replaceValue): string

    - Passes a string and replaceValue to the `[Symbol.replace]` method on searchValue. This method is expected to implement its own replacement algorithm.

      #### Parameters

      - searchValue: {
        [replace](string, replaceValue): string;
        }

        An object that supports searching for and replacing matches within a string.

        - ##### [replace]:function

          - [replace](string, replaceValue): string

          - #### Parameters

            - string: string
            - replaceValue: string

            #### Returns string

            - Defined in node_modules/.pnpm/typescript@5.6.3/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:248
      - replaceValue: string

        The replacement text.

      #### Returns string

    - (searchValue, replacer): string

    - Replaces text in a string, using an object that supports replacement within a string.

      #### Parameters

      - searchValue: {
        [replace](string, replacer): string;
        }

        A object can search for and replace matches within a string.

        - ##### [replace]:function

          - [replace](string, replacer): string

          - #### Parameters

            - string: string
            - replacer: ((substring, ...args) => string)
              - - (substring, ...args): string

                - #### Parameters

                  - substring: string
                  - `Rest` ...args: any[]

                  #### Returns string

            - Defined in node_modules/.pnpm/typescript@5.6.3/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:255
      - replacer: ((substring, ...args) => string)

        A function that returns the replacement text.

        - - (substring, ...args): string

          - #### Parameters

            - substring: string
            - `Rest` ...args: any[]

            #### Returns string

- ##### replaceAll: {
  (searchValue, replaceValue): string;
  (searchValue, replacer): string;
  }

  - - (searchValue, replaceValue): string

    - Replace all instances of a substring in a string, using a regular expression or search string.

      #### Parameters

      - searchValue: string | RegExp

        A string to search for.

      - replaceValue: string

        A string containing the text to replace for every successful match of searchValue in this string.

      #### Returns string

    - (searchValue, replacer): string

    - Replace all instances of a substring in a string, using a regular expression or search string.

      #### Parameters

      - searchValue: string | RegExp

        A string to search for.

      - replacer: ((substring, ...args) => string)

        A function that returns the replacement text.

        - - (substring, ...args): string

          - #### Parameters

            - substring: string
            - `Rest` ...args: any[]

            #### Returns string

- ##### search: {
  (regexp): number;
  (searcher): number;
  }

  - - (regexp): number

    - Finds the first substring match in a regular expression search.

      #### Parameters

      - regexp: string | RegExp

        The regular expression pattern and applicable flags.

      #### Returns number

    - (searcher): number

    - Finds the first substring match in a regular expression search.

      #### Parameters

      - searcher: {
        [search](string): number;
        }

        An object which supports searching within a string.

        - ##### [search]:function

          - [search](string): number

          - #### Parameters

            - string: string

            #### Returns number

            - Defined in node_modules/.pnpm/typescript@5.6.3/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:261

      #### Returns number

- ##### slice: ((start?, end?) => string)

  - - (start?, end?): string

    - Returns a section of a string.

      #### Parameters

      - `Optional` start: number

        The index to the beginning of the specified portion of stringObj.

      - `Optional` end: number

        The index to the end of the specified portion of stringObj. The substring includes the characters up to, but not including, the character indicated by end. If this value is not specified, the substring continues to the end of stringObj.

      #### Returns string

- ##### small: (() => string)

  - - (): string

    - Returns a `<small>` HTML element

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### split: {
  (separator, limit?): string[];
  (splitter, limit?): string[];
  }

  - - (separator, limit?): string[]

    - Split a string into substrings using the specified separator and return them as an array.

      #### Parameters

      - separator: string | RegExp

        A string that identifies character or characters to use in separating the string. If omitted, a single-element array containing the entire string is returned.

      - `Optional` limit: number

        A value used to limit the number of elements returned in the array.

      #### Returns string[]

    - (splitter, limit?): string[]

    - Split a string into substrings using the specified separator and return them as an array.

      #### Parameters

      - splitter: {
        [split](string, limit?): string[];
        }

        An object that can split a string.

        - ##### [split]:function

          - [split](string, limit?): string[]

          - #### Parameters

            - string: string
            - `Optional` limit: number

            #### Returns string[]

            - Defined in node_modules/.pnpm/typescript@5.6.3/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:268
      - `Optional` limit: number

        A value used to limit the number of elements returned in the array.

      #### Returns string[]

- ##### startsWith: ((searchString, position?) => boolean)

  - - (searchString, position?): boolean

    - Returns true if the sequence of elements of searchString converted to a String is the same as the corresponding elements of this object (converted to a String) starting at position. Otherwise returns false.

      #### Parameters

      - searchString: string
      - `Optional` position: number

      #### Returns boolean

- ##### strike: (() => string)

  - - (): string

    - Returns a `<strike>` HTML element

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### sub: (() => string)

  - - (): string

    - Returns a `<sub>` HTML element

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### substr: ((from, length?) => string)

  - - (from, length?): string

    - Gets a substring beginning at the specified location and having the specified length.

      #### Parameters

      - from: number

        The starting position of the desired substring. The index of the first character in the string is zero.

      - `Optional` length: number

        The number of characters to include in the returned substring.

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### substring: ((start, end?) => string)

  - - (start, end?): string

    - Returns the substring at the specified location within a String object.

      #### Parameters

      - start: number

        The zero-based index number indicating the beginning of the substring.

      - `Optional` end: number

        Zero-based index number indicating the end of the substring. The substring includes the characters up to, but not including, the character indicated by end. If end is omitted, the characters from start through the end of the original string are returned.

      #### Returns string

- ##### sup: (() => string)

  - - (): string

    - Returns a `<sup>` HTML element

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility

- ##### toLocaleLowerCase: {
  (locales?): string;
  (locales?): string;
  }

  - - (locales?): string

    - Converts all alphabetic characters to lowercase, taking into account the host environment's current locale.

      #### Parameters

      - `Optional` locales: string | string[]

      #### Returns string

    - (locales?): string

    - Converts all alphabetic characters to lowercase, taking into account the host environment's current locale.

      #### Parameters

      - `Optional` locales: LocalesArgument

      #### Returns string

- ##### toLocaleUpperCase: {
  (locales?): string;
  (locales?): string;
  }

  - - (locales?): string

    - Returns a string where all alphabetic characters have been converted to uppercase, taking into account the host environment's current locale.

      #### Parameters

      - `Optional` locales: string | string[]

      #### Returns string

    - (locales?): string

    - Returns a string where all alphabetic characters have been converted to uppercase, taking into account the host environment's current locale.

      #### Parameters

      - `Optional` locales: LocalesArgument

      #### Returns string

- ##### toLowerCase: (() => string)

  - - (): string

    - Converts all the alphabetic characters in a string to lowercase.

      #### Returns string

- ##### toString: (() => string)

  - - (): string

    - Returns a string representation of a string.

      #### Returns string

- ##### toUpperCase: (() => string)

  - - (): string

    - Converts all the alphabetic characters in a string to uppercase.

      #### Returns string

- ##### toWellFormed: (() => string)

  - - (): string

    - Returns a string where all lone or out-of-order surrogates have been replaced by the Unicode replacement character (U+FFFD).

      #### Returns string

- ##### trim: (() => string)

  - - (): string

    - Removes the leading and trailing white space and line terminator characters from a string.

      #### Returns string

- ##### trimEnd: (() => string)

  - - (): string

    - Removes the trailing white space and line terminator characters from a string.

      #### Returns string

- ##### trimLeft: (() => string)

  - - (): string

    - Removes the leading white space and line terminator characters from a string.

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility. Use `trimStart` instead

- ##### trimRight: (() => string)

  - - (): string

    - Removes the trailing white space and line terminator characters from a string.

      #### Returns string

      #### Deprecated

      A legacy feature for browser compatibility. Use `trimEnd` instead

- ##### trimStart: (() => string)

  - - (): string

    - Removes the leading white space and line terminator characters from a string.

      #### Returns string

- ##### valueOf: (() => string)

  - - (): string

    - Returns the primitive value of the specified object.

      #### Returns string

- Defined in components/sdk/src/zeus/index.ts:844